summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorzachir <zachir@librem.one>2022-08-13 15:24:22 -0500
committerzachir <zachir@librem.one>2022-08-13 15:24:22 -0500
commitd65fcf7ec796763a907ed8620d0a700a410022bb (patch)
tree36490b1de1f6311d992ead1b59fa205d5683dab9
parent2144eca2c9426b14284c6924f4b8a90363430606 (diff)
have to add universe in zirless because arch compat is now there
-rw-r--r--zirless.sh27
1 files changed, 21 insertions, 6 deletions
diff --git a/zirless.sh b/zirless.sh
index 13dc886..45fa970 100644
--- a/zirless.sh
+++ b/zirless.sh
@@ -110,6 +110,24 @@ permit :wheel nopass cmd loadkeys #ZIRLESS" >> /etc/doas.conf
fi
fi ;}
+artixaddlib32repo() { # Enables the lib32 Artix repo
+ grep -q '^#[lib32]\n#Include = /etc/pacman.d/mirrorlist' /etc/pacman.conf &&
+ sed -E "s/^#(\[lib32\]])/\\1;/#Include/d;#[.*-gremlins]/d;/\[lib32\]/a Include = /etc/pacman.d/mirrorlist" /etc/pacman.conf ||
+ printf "[lib32]\nInclude = /etc/pacman.d/mirrorlist\n" >> /etc/pacman.conf ;}
+
+artixadduniverserepo() { # Enables the universe repo (necessary to add Arch repos)
+ echo "
+Server = https://universe.artixlinux.org/$arch
+Server = https://mirror1.artixlinux.org/universe/$arch
+Server = https://mirror.pascalpuffke.de/artix-universe/$arch
+Server = https://artixlinux.qontinuum.space:4443/universe/os
+Server = https://mirror1.cl.netactuate.com/artix/universe/$arch
+" >> /etc/pacman.d/mirrorlist-universe
+ echo "
+[universe]
+Include = /etc/pacman.d/mirrorlist-universe" >> /etc/pacman.conf
+ pacman -Syy ;}
+
artixaddarchrepos() { # Adds the Arch repos to Artix Linux (some ZIRLESS packages require it)
grep -q 'Artix' /etc/lsb-release && \
pacman -S --noconfirm artix-archlinux-support archlinux-mirrorlist archlinux-keyring >/dev/null 2>&1 || exit 3
@@ -126,11 +144,6 @@ Include = /etc/pacman.d/mirrorlist-arch
pacman -Syy
pacman-key --refresh-keys ;}
-artixaddlib32repo() { # Enables the lib32 Artix repo
- grep -q '^#[lib32]\n#Include = /etc/pacman.d/mirrorlist' /etc/pacman.conf &&
- sed -E "s/^#(\[lib32\]])/\\1;/#Include/d;#[.*-gremlins]/d;/\[lib32\]/a Include = /etc/pacman.d/mirrorlist" /etc/pacman.conf ||
- printf "[lib32]\nInclude = /etc/pacman.d/mirrorlist\n" >> /etc/pacman.conf ;}
-
manualinstall() { # Installs $1 manually if not installed. Used only for AUR helper here.
[ -f "/usr/bin/$1" ] || (
dialog --infobox "Installing \"$1\", an AUR helper..." 4 50
@@ -263,7 +276,9 @@ manualinstall yay-bin || error "Failed to install AUR helper."
artixaddlib32repo || error "Failed to add lib32 repo" && exit 5
-#artixaddarchrepos || error "Failed to add Arch Linux repos." && exit 5
+artixadduniverserepo || error "Failed to add universe repo" && exit 5
+
+artixaddarchrepos || error "Failed to add Arch Linux repos." && exit 5
# The command that does all the installing. Reads the progs.csv file and
# installs each needed program the way required. Be sure to run this only after